package cn.reghao.oss.api.iface;

import cn.reghao.oss.api.dto.NodeProperties;
import cn.reghao.oss.api.dto.ObjectChannel;
import cn.reghao.oss.api.dto.ServerInfo;
import cn.reghao.oss.api.dto.StoreNodeDto;

/**
 * 获取 StoreNode 配置
 * oss-store 调用
 * @author reghao
 * @date 2024-07-02 10:55:56
 */
public interface ConsoleService {
    void registerNode(StoreNodeDto storeNodeDto);
    NodeProperties getNodeProperties(int owner, String nodeAddress);
    ServerInfo getUploadStore(int loginUser, int channelId);

    ObjectChannel getChannelById(int owner, int channelId);
    int getChannelIdByUrl(int loginUser, String url);
}
